using System;

internal sealed class Delegate307 : MulticastDelegate
{
	public extern bool Invoke(object object_0, string string_0);

	public static bool smethod_0(object object_0, string string_0, Delegate307 delegate307_1)
	{
		return delegate307_1(object_0, string_0);
	}

	public extern Delegate307(object object_0, IntPtr intptr_0);

	static Delegate307()
	{
		Class10.smethod_13(typeof(Delegate307).TypeHandle);
	}

	internal static Delegate307 delegate307_0;
}
